Package org.eclipse.cdt.utils.debug.tools

# Class DebugSym

java.lang.Object
org.eclipse.cdt.utils.debug.tools.DebugSym

All Implemented Interfaces:
  `Comparable<Object>`

public class DebugSym extends Object implements Comparable<Object>

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`addr`
`int`
`endLine`
`String`
`filename`
`String`
`name`
`long`
`size`
`int`
`startLine`
`String`
`type`

## Constructor Summary

Constructors
Constructor
Description
`DebugSym()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object obj)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### addr

public long addr

### size

public long size

### startLine

public int startLine

### endLine

public int endLine

### name

public String name

### type

public String type

### filename

public String filename

## Constructor Details

### DebugSym

public DebugSym()

## Method Details

### compareTo

public int compareTo(Object obj)

Specified by:
  `compareTo` in interface `Comparable<Object>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`